AIPlatform (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.autoinventory.AIPlatform class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.autoinventory
Class AIPlatform

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.appdef.AppdefBean
              org.hyperic.hq.appdef.server.session.AppdefNamedBean
                  org.hyperic.hq.appdef.server.session.AppdefResource
                      org.hyperic.hq.appdef.server.session.PlatformBase
                          org.hyperic.hq.autoinventory.AIPlatform

All Implemented Interfaces:
  java.io.Serializable, ContainerManagedTimestampTrackable

    public class AIPlatform

extends PlatformBase

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.hq.appdef.server.session.AppdefNamedBean
`description, location, modifiedBy, name, sortName`

Fields inherited from class org.hyperic.hq.appdef.AppdefBean
`cid, creationTime, modifiedTime`

Constructor Summary
`AIPlatform()`
`AIPlatform(AIPlatformValue apv)`

Method Summary
`protected java.lang.String` | `_getAuthzOp(java.lang.String op)`
`void` | `addAIServer(AIServer server)`
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getAgentToken()`
`java.util.Collection` | `getAIIps()`
`AIPlatformValue` | `getAIPlatformValue()` Deprecated. use (this) AIPlatformValue object
`java.util.Collection` | `getAIServers()`
`AppdefResourceType` | `getAppdefResourceType()` For compatibility
`AppdefResourceValue` | `getAppdefResourceValue()` For compatibility
`java.lang.String` | `getArch()`
`byte[]` | `getControlConfig()`
`java.lang.Integer` | `getCpuSpeed()`
`byte[]` | `getCustomProperties()`
`java.lang.String` | `getDhcpServer()`
`long` | `getDiff()`
`java.lang.String` | `getDnsServer()`
`java.lang.String` | `getGateway()`
`long` | `getLastApproved()`
`byte[]` | `getMeasurementConfig()`
`java.lang.String` | `getOsversion()`
`java.lang.String` | `getPlatformTypeName()`
`byte[]` | `getProductConfig()`
`int` | `getQueueStatus()`
`java.lang.Integer` | `getRam()`
`boolean` | `isIgnored()`
`boolean` | `isPlatformDevice()`
`void` | `setAgentToken(java.lang.String agentToken)`
`void` | `setAIIps(java.util.Collection aiips)`
`void` | `setAIServers(java.util.Collection aiservers)`
`void` | `setArch(java.lang.String arch)`
`void` | `setControlConfig(byte[] controlConfig)`
`void` | `setCpuSpeed(java.lang.Integer cpuSpeed)`
`void` | `setCustomProperties(byte[] customProperties)`
`void` | `setDhcpServer(java.lang.String dhcpServer)`
`void` | `setDiff(long diff)`
`void` | `setDiff(java.lang.Long diff)`
`void` | `setDnsServer(java.lang.String dnsServer)`
`void` | `setGateway(java.lang.String gateway)`
`void` | `setIgnored(boolean ignored)`
`void` | `setLastApproved(java.lang.Long lastApproved)`
`void` | `setMeasurementConfig(byte[] measurementConfig)`
`void` | `setOsversion(java.lang.String osversion)`
`void` | `setPlatformTypeName(java.lang.String platformTypeName)`
`void` | `setProductConfig(byte[] productConfig)`
`void` | `setQueueStatus(int queueStatus)`
`void` | `setQueueStatus(java.lang.Integer queueStatus)`
`void` | `setRam(java.lang.Integer ram)`

Methods inherited from class org.hyperic.hq.appdef.server.session.PlatformBase
`getCertdn, getCpuCount, getEntityId, getFqdn, hashCode, setCertdn, setCpuCount, setFqdn`

Methods inherited from class org.hyperic.hq.appdef.server.session.AppdefResource
`getName, getResource, getSortName, setName, setResource, setSortName`

Methods inherited from class org.hyperic.hq.appdef.server.session.AppdefNamedBean
`getAuthzOp, getDescription, getLocation, getModifiedBy, setDescription, setLocation, setModifiedBy`

Methods inherited from class org.hyperic.hq.appdef.AppdefBean
`allowContainerManagedCreationTime, allowContainerManagedLastModifiedTime, getCid, getCreationTime, getCTime, getModifiedTime, getMTime, matchesValueObject, setCid, setCreationTime, setModifiedTime`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`get_version_, getId, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AIPlatform

    public AIPlatform()

### AIPlatform

    public AIPlatform(AIPlatformValue apv)

Method Detail

### getPlatformTypeName

    public java.lang.String getPlatformTypeName()

### setPlatformTypeName

    public void setPlatformTypeName(java.lang.String platformTypeName)

### getOsversion

    public java.lang.String getOsversion()

### setOsversion

    public void setOsversion(java.lang.String osversion)

### getArch

    public java.lang.String getArch()

### setArch

    public void setArch(java.lang.String arch)

### getAgentToken

    public java.lang.String getAgentToken()

### setAgentToken

    public void setAgentToken(java.lang.String agentToken)

### getQueueStatus

    public int getQueueStatus()

### setQueueStatus

    public void setQueueStatus(java.lang.Integer queueStatus)

### setQueueStatus

    public void setQueueStatus(int queueStatus)

  Parameters:
    `queueStatus` -

### getDiff

    public long getDiff()

### setDiff

    public void setDiff(long diff)

### setDiff

    public void setDiff(java.lang.Long diff)

### isIgnored

    public boolean isIgnored()

### setIgnored

    public void setIgnored(boolean ignored)

### getLastApproved

    public long getLastApproved()

### setLastApproved

    public void setLastApproved(java.lang.Long lastApproved)

### getCpuSpeed

    public java.lang.Integer getCpuSpeed()

### setCpuSpeed

    public void setCpuSpeed(java.lang.Integer cpuSpeed)

### getRam

    public java.lang.Integer getRam()

### setRam

    public void setRam(java.lang.Integer ram)

### getGateway

    public java.lang.String getGateway()

### setGateway

    public void setGateway(java.lang.String gateway)

### getDhcpServer

    public java.lang.String getDhcpServer()

### setDhcpServer

    public void setDhcpServer(java.lang.String dhcpServer)

### getDnsServer

    public java.lang.String getDnsServer()

### setDnsServer

    public void setDnsServer(java.lang.String dnsServer)

### getCustomProperties

    public byte[] getCustomProperties()

### setCustomProperties

    public void setCustomProperties(byte[] customProperties)

### getProductConfig

    public byte[] getProductConfig()

### setProductConfig

    public void setProductConfig(byte[] productConfig)

### getControlConfig

    public byte[] getControlConfig()

### setControlConfig

    public void setControlConfig(byte[] controlConfig)

### getMeasurementConfig

    public byte[] getMeasurementConfig()

### setMeasurementConfig

    public void setMeasurementConfig(byte[] measurementConfig)

### getAIIps

    public java.util.Collection getAIIps()

### setAIIps

    public void setAIIps(java.util.Collection aiips)

### getAIServers

    public java.util.Collection getAIServers()

### setAIServers

    public void setAIServers(java.util.Collection aiservers)

### addAIServer

    public void addAIServer(AIServer server)

### isPlatformDevice

    public boolean isPlatformDevice()

### getAIPlatformValue

    public AIPlatformValue getAIPlatformValue()

  Deprecated. use (this) AIPlatformValue object

  Returns:

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `PlatformBase`

### getAppdefResourceType

    public AppdefResourceType getAppdefResourceType()

  For compatibility

  Specified by:
    `getAppdefResourceType` in class `AppdefNamedBean`

### getAppdefResourceValue

    public AppdefResourceValue getAppdefResourceValue()

  For compatibility

  Specified by:
    `getAppdefResourceValue` in class `AppdefNamedBean`

### _getAuthzOp

    protected java.lang.String _getAuthzOp(java.lang.String op)

  Specified by:
    `_getAuthzOp` in class `AppdefNamedBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.